org.apache.tinkerpop.gremlin.structure.util.reference

## Class ReferenceVertexPropertyTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.util.reference.ReferenceVertexPropertyTest

-     public class ReferenceVertexPropertyTest
      extends AbstractGremlinTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceVertexPropertyTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAttachToGraph()`
    `void` | `shouldAttachToVertex()`
    `void` | `shouldBeEqualsPropertiesAsIdIsTheSame()`
    `void` | `shouldNotBeEqualsPropertiesAsIdIsDifferent()`
    `void` | `shouldNotConstructNewWithSomethingAlreadyReferenced()`
    `void` | `shouldNotSupportRemove()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceVertexPropertyTest

          public ReferenceVertexPropertyTest()

  - ### Method Detail

    - #### shouldNotConstructNewWithSomethingAlreadyReferenced

          public void shouldNotConstructNewWithSomethingAlreadyReferenced()

    - #### shouldNotSupportRemove

          public void shouldNotSupportRemove()

    - #### shouldBeEqualsPropertiesAsIdIsTheSame

          public void shouldBeEqualsPropertiesAsIdIsTheSame()

    - #### shouldNotBeEqualsPropertiesAsIdIsDifferent

          public void shouldNotBeEqualsPropertiesAsIdIsDifferent()

    - #### shouldAttachToGraph

          public void shouldAttachToGraph()

    - #### shouldAttachToVertex

          public void shouldAttachToVertex()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.